Brains
Show a Brain
GET /v1/brains/{brainId} · SDK getBrain · CLI deployments brain show
GET
Requires brains:read.
tenantJwtheader
AuthorizationBearer <token>Tenant JWT carrying organization, project, and environment claims.
brainId*stringMatch
^[0-7][0-9A-HJKMNP-TV-Z]{25}$x-deployments-organization*stringMatch
^[0-7][0-9A-HJKMNP-TV-Z]{25}$BrainResponse
application/json- response
createdAt*stringid*stringMatch
^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$kind*stringValue in
"company""member-private"name*stringLength
length <= 200organizationId*stringMatch
^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$ownerPrincipalId?stringMatch
^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$ownershipGeneration*integerRange
0 <= valueschemaVersion*integerRange
0 <= valuesensitivity*stringValue in
"confidential""internal""public""restricted"slug*stringMatch
^[a-z0-9]+(?:-[a-z0-9]+)*$Length
1 <= length <= 80status*stringValue in
"active""archived""erasing"updatedAt*stringversion*integerRange
0 <= valuecurl -X GET "https://example.com/v1/brains/string" \ -H "x-deployments-organization: string"{ "createdAt": "string", "id": "string", "kind": "company", "name": "string", "organizationId": "string", "ownerPrincipalId": "string", "ownershipGeneration": 0, "schemaVersion": 0, "sensitivity": "confidential", "slug": "string", "status": "active", "updatedAt": "string", "version": 0}